Subject: Re: [PATCH net-next 4/6] kcm: Kernel Connection Multiplexor module

From: Sowmini Varadhan <[email-masked]>
Date: Fri, 20 Nov 2015 18:27:10 -0500

On (11/20/15 15:19), Tom Herbert wrote:
> 
> I did notice that RDS is just creating sglist, but I also noticed that
> this requires allocating "struct rds_message" which holds pointers to
> the sglist, list pointers for a queue, etc. This looks to me like its
> emulating skbuffs anyway. I haven't looked if there's performance

yes, some of that might come from the IB origins of the code
so that it could be shared with an IB transport. I was just wondering
if directly using sk_buffs would be a significant perf win for rds-tcp.

> issues otherwise in using the fraglist. It might be interesting if
> there was an interface to send skbufs on a kernel socket.

yes. Or if there was a way to  factor out the non-zero page-order
enhancements in skb_page_frag_refill in a way that they could be
shared with RDS.

--Sowmini